orange_pi_pc_size = [85, 55, 1.4];
orange_pi_4_size  = [91, 56, 1.4];

module orange_pi_holes(size) {
  hole_radius = 2.7/2;
  hole_center = 1.3+hole_radius;
  union() {
    // bottom
    translate([hole_center,         hole_center,         0]) cylinder(h=10, r=hole_radius, center=true);
    translate([size[0]-hole_center, hole_center,         0]) cylinder(h=10, r=hole_radius, center=true);
    // top
    translate([hole_center,         size[1]-hole_center, 0]) cylinder(h=10, r=hole_radius, center=true);
    translate([size[0]-hole_center, size[1]-hole_center, 0]) cylinder(h=10, r=hole_radius, center=true);
  }
}

module orange_pi(size) {
  color("#0000ff")
  difference() {
    cube(size);
    orange_pi_holes(size);
  }
}

module orange_pi_pc() { orange_pi(orange_pi_pc_size); }
module orange_pi_4()  { orange_pi(orange_pi_4_size); }
module orange_pi_pc_holes() { orange_pi_holes(orange_pi_pc_size); }
module orange_pi_4_holes()  { orange_pi_holes(orange_pi_4_size); }
// orange_pi_pc();
// orange_pi_4();